const userRoutes = require('./users.routes');
const categoryRoutes = require('./category.routes');
const productRoutes = require('./product.routes');
const depositRoutes = require('./deposit.routes');
const orderRoutes = require('./order.routes');
const discountRoutes = require('./discount.routes');
const websiteRoutes = require('./website.routes');
const notificationRoutes = require('./notification.routes');
const dashboardRoutes = require('./dashboard.routes');
const previewProductRoutes = require('./previewProduct.routes');
const luckyWheelRoutes = require('./luckyWheel.routes');
const systemConfigRoutes = require('./systemConfig.routes');

function routes(app) {
    app.use('/api/users', userRoutes);
    app.use('/api/category', categoryRoutes);
    app.use('/api/product', productRoutes);
    app.use('/api/deposit', depositRoutes);
    app.use('/api/order', orderRoutes);
    app.use('/api/discount', discountRoutes);
    app.use('/api/website', websiteRoutes);
    app.use('/api/dashboard', dashboardRoutes);
    app.use('/api', notificationRoutes);
    app.use('/api/previewProduct', previewProductRoutes);
    app.use('/api/logs', require('./log.routes'));
    app.use('/api/lucky-wheel', luckyWheelRoutes);
    app.use('/api/system-config', systemConfigRoutes);
}

module.exports = routes;

